diff --git a/bin/zafl.sh b/bin/zafl.sh
index f9b85df030833aa5f9947046d09e6d993987a543..d44f3e41d08f22c8ba3b45af184a833b824c926c 100755
--- a/bin/zafl.sh
+++ b/bin/zafl.sh
@@ -105,5 +105,8 @@ if [ $? -eq 0 ]; then
 		echo Zafl: error: output binary does not show a dependence on the Zafl support library
 		exit 1
 	fi
+else
+	echo Zafl: error transforming input program
+	exit 1
 fi